Index: code/branches/cpp11_v3/src/orxonox/Radar.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/Radar.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/Radar.cc	(revision 11054)
@@ -49,6 +49,6 @@
 
     Radar::Radar()
-        : itFocus_(0)
-        , focus_(0)
+        : itFocus_(nullptr)
+        , focus_(nullptr)
         , objectTypeCounter_(0)
     {
@@ -84,7 +84,7 @@
         this->radarObjects_.insert(rv);
         // iterate through all radarlisteners and notify them
-        for (ObjectList<RadarListener>::iterator itListener = ObjectList<RadarListener>::begin(); itListener; ++itListener)
-        {
-            (*itListener)->addObject(rv);
+        for (RadarListener* listener : ObjectList<RadarListener>())
+        {
+            listener->addObject(rv);
         }
     }
@@ -95,7 +95,7 @@
         this->radarObjects_.erase(rv);
         // iterate through all radarlisteners and notify them
-        for (ObjectList<RadarListener>::iterator itListener = ObjectList<RadarListener>::begin(); itListener; ++itListener)
-        {
-            (*itListener)->removeObject(rv);
+        for (RadarListener* listener : ObjectList<RadarListener>())
+        {
+            listener->removeObject(rv);
         }
     }
@@ -106,5 +106,5 @@
             return *(this->itFocus_);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -126,11 +126,11 @@
         {
             // focus object was deleted, release focus
-            this->focus_ = 0;
-            this->itFocus_ = 0;
-        }
-
-        for (ObjectList<RadarListener>::iterator itListener = ObjectList<RadarListener>::begin(); itListener; ++itListener)
-        {
-            (*itListener)->radarTick(dt);
+            this->focus_ = nullptr;
+            this->itFocus_ = nullptr;
+        }
+
+        for (RadarListener* listener : ObjectList<RadarListener>())
+        {
+            listener->radarTick(dt);
         }
     }
@@ -138,9 +138,10 @@
     void Radar::cycleFocus()
     {
-        if (ObjectList<RadarViewable>::begin() == ObjectList<RadarViewable>::end())
+        ObjectList<RadarViewable> listRadarViewable;
+        if (listRadarViewable.size() == 0)
         {
             // list is empty
-            this->itFocus_ = 0;
-            this->focus_ = 0;
+            this->itFocus_ = nullptr;
+            this->focus_ = nullptr;
         }
 
@@ -156,7 +157,7 @@
             float nextDistance = FLT_MAX;
             float minimumDistance = FLT_MAX;
-            ObjectList<RadarViewable>::iterator itFallback = 0;
-
-            for (ObjectList<RadarViewable>::iterator it = ObjectList<RadarViewable>::begin(); it; ++it)
+            ObjectList<RadarViewable>::iterator itFallback = nullptr;
+
+            for (ObjectList<RadarViewable>::iterator it = listRadarViewable.begin(); it; ++it)
             {
                 if (*it == static_cast<RadarViewable*>(HumanController::getLocalControllerEntityAsPawn()))
@@ -191,6 +192,6 @@
     void Radar::releaseFocus()
     {
-        this->itFocus_ = 0;
-        this->focus_ = 0;
+        this->itFocus_ = nullptr;
+        this->focus_ = nullptr;
     }
 
@@ -200,7 +201,8 @@
         // iterate through all Radar Objects
         unsigned int i = 0;
-        for (ObjectList<RadarViewable>::iterator it = ObjectList<RadarViewable>::begin(); it; ++it, ++i)
-        {
-            orxout(debug_output) << i++ << ": " << (*it)->getRVWorldPosition() << endl;
+        for (RadarViewable* viewable : ObjectList<RadarViewable>())
+        {
+            orxout(debug_output) << i++ << ": " << viewable->getRVWorldPosition() << endl;
+            ++i;
         }
     }
@@ -208,7 +210,7 @@
     void Radar::radarObjectChanged(RadarViewable* rv)
     {
-        for (ObjectList<RadarListener>::iterator itListener = ObjectList<RadarListener>::begin(); itListener; ++itListener)
-        {
-          (*itListener)->objectChanged(rv);
+        for (RadarListener* listener : ObjectList<RadarListener>())
+        {
+            listener->objectChanged(rv);
         }
     }
